<i class="bi bi-arrow-left hover:text-red-500 hover:cursor-pointer" (click)="back()">&nbsp;</i>
<div class="row" style="margin-left: 2em">
  <div class="col-8">
    <div class="row">
      <div class="col-3">Name:</div>
      <div *ngIf="!editable" class="col-4 d-flex align-items-center">
        <input [(ngModel)]="device.chipId" [disabled]="!editable" class="w-75">
        &nbsp;&nbsp;&nbsp;
        <i class="bi bi-pencil-fill hover:text-green-600 hover:cursor-pointer"
           (click)="edit()"></i>
      </div>
      <div class="col-8" *ngIf="editable">
        <div class="d-flex align-items-center">
        <textarea cdkTextareaAutosize class="w-50  resize-none border rounded-md overflow-y-hidden h-75"
                  [(ngModel)]="updatedName"></textarea>
          <button class="col-1 btn btn-sm btn-success" (click)="updateName()"><i class="bi bi-check2"></i></button>
          &nbsp;
          <button class="col-1 btn btn-sm btn-danger" (click)="cancelUpdate()"><i class="bi bi-x-lg"></i></button>
        </div>
      </div>
    </div>


    <div class="row">
      <div class="col-3">Type:</div>
      <input class="col-4" [(ngModel)]="device.type" [disabled]="true">
    </div>


    <div class="row">
      <div class="col-3">Current value:</div>
      <input class="col-4" [(ngModel)]="device.deviceData[0].value" [disabled]="true">
    </div>
  </div>


  <div class=" col-3">
    <table class="table table-striped table-hover">
      <thead>
      <tr>
        <th scope="col">Value</th>
        <th>Date</th>
      </tr>
      </thead>
      <tbody class="table-group-divider">
      <tr *ngFor="let data of device.deviceData">
        <td>{{data.value + ' ' + data.unit}}</td>
        <td>{{data.time}}</td>
      </tr>
      </tbody>
    </table>
  </div>
</div>
